! test  pointer assignment
! constraints of R736-R737             Page 325

PROGRAM E3

INTEGER ,pointer ::  var1,var8(10)
REAL    ,target  ::  var2
INTEGER              var3
REAL                 var4
REAL    ,pointer ::  var5
INTEGER ,pointer ::  var6(10)
INTEGER		     var7(10)

INTEGER              func
func(x)=var1


!R737.1
! Variable  must have POINTER attribute .
var3 => var1

!R737.2
var5 => var4

!R737.3
! Pointer assignment must have same type ,kind parameter and rank .
var1 => var2

!R737.5
! error(136)            statement unction 
var3 => func(1.0)


var7=(/1,2,3/)
!R737.4
!Target cannot be an array with vector subscipt .
var8 => var6(var7) 

END
